#pragma once

class CChatSplitterWnd : public CWnd
{
	DECLARE_DYNAMIC(CChatSplitterWnd)

public:
	CChatSplitterWnd();
	virtual ~CChatSplitterWnd();

	void			SetImgBGPath(CString strFileName);
	void			SetImgSplitterPath(CString strFileName);
	void			SetBGColor(Color cr)						{ m_crBG = cr; }
	Color			GetBGColor()								{ return m_crBG; }

	void			SetSplitterBuddy(CWnd* pWndUp, CWnd* pWndDown);
	BOOL			DoSplitter(int nMove);
	void			SplitterMove(int nMove);

	DECLARE_MESSAGE_MAP()

protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnMouseLeave();

private:
	// BG
	Image*			m_pImgBG;
	Image*			m_pImgSplitter;

	Color			m_crBG;

	// dimension
	CRect			m_rtWnd;
	CRect			m_rtSplitter;

	// tracking
	BOOL			m_bTracking;
	BOOL			m_bHoverSplitter;
	BOOL			m_bSplitterPressed;

	CWnd*			m_pWndMoveUp;
	CWnd*			m_pWndMoveDown;

	CPoint			m_ptMoveStart;
	CPoint			m_ptMoveEnd;

};
